# VectorNav C++ Library: vn::timeout Class Reference

vn::timeout Class Reference

A timeout occurred. More...

`#include <exceptions.h>`

Inheritance diagram for vn::timeout:

## Public Member Functions

char const * | what () const throw ()
| Returns a description of the exception. More...

## Detailed Description

A timeout occurred.

## Member Function Documentation

char const* vn::timeout::what | ( |  | ) | const
throw | ( |
| ) |  |

inline

Returns a description of the exception.

Returns
  A description of the exception.

The documentation for this class was generated from the following file:

- include/vn/exceptions.h